summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-12-11 17:16:10 -0800
committerZac Medico <zmedico@gentoo.org>2018-12-11 17:21:37 -0800
commit597b8a157c81e2b44dd66491e4b9af669e4b80e4 (patch)
tree9264788eb56e2d49158b1707557b2b929f1f27f7 /app-benchmarks
parentmedia-libs/mesa: Version bump to 18.3.1 (diff)
downloadgentoo-597b8a157c81e2b44dd66491e4b9af669e4b80e4.tar.gz
gentoo-597b8a157c81e2b44dd66491e4b9af669e4b80e4.tar.bz2
gentoo-597b8a157c81e2b44dd66491e4b9af669e4b80e4.zip
app-benchmarks/hey: new package
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'app-benchmarks')
-rw-r--r--app-benchmarks/hey/Manifest1
-rw-r--r--app-benchmarks/hey/hey-0.1.1_p20181017.ebuild32
-rw-r--r--app-benchmarks/hey/metadata.xml10
3 files changed, 43 insertions, 0 deletions
diff --git a/app-benchmarks/hey/Manifest b/app-benchmarks/hey/Manifest
new file mode 100644
index 00000000000..172bb7655bc
--- /dev/null
+++ b/app-benchmarks/hey/Manifest
@@ -0,0 +1 @@
+DIST hey-0.1.1_p20181017.tar.gz 446212 BLAKE2B b8d55e4f7efb34634b81b5301617c84aea66cb1fdbe973d45317a309b845d4503331618688feeaef2bb9effa82f6d155b68b813a4b5b4f17149245cb7f15b2ec SHA512 ccaf4ca2025ce4cbe10cbeb5d7a43903d7e15fdc20ed9623795bd3c11b0df510c3b51749c5e63502fb0fd3153f18a7d1b65297b11631b5889f719d0619602604
diff --git a/app-benchmarks/hey/hey-0.1.1_p20181017.ebuild b/app-benchmarks/hey/hey-0.1.1_p20181017.ebuild
new file mode 100644
index 00000000000..0be025d4eb3
--- /dev/null
+++ b/app-benchmarks/hey/hey-0.1.1_p20181017.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_SRC="github.com/rakyll/hey"
+EGO_PN=${EGO_SRC}/...
+EGIT_COMMIT="01803349acd49d756dafa2cb6ac5b5bfc141fc3b"
+
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="HTTP load generator, ApacheBench (ab) replacement, formerly known as rakyll/boom"
+HOMEPAGE="https://github.com/rakyll/hey"
+SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+S=${WORKDIR}/${P}/src/${EGO_SRC}
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}" GOBIN="${WORKDIR}/${P}/bin" \
+ go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}" || die
+}
+
+src_install() {
+ dobin "${WORKDIR}/${P}/bin"/*
+ dodoc README.md
+}
diff --git a/app-benchmarks/hey/metadata.xml b/app-benchmarks/hey/metadata.xml
new file mode 100644
index 00000000000..25b7d5f8d00
--- /dev/null
+++ b/app-benchmarks/hey/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">rakyll/hey</remote-id>
+ </upstream>
+</pkgmetadata>